<?php
//* Start the engine
include_once( get_template_directory() . '/lib/init.php' );

//* Child theme (do not remove)
define( 'CHILD_THEME_NAME', 'Aquarius Pro' );
define( 'CHILD_THEME_URL', 'http://ryantownley.com/' );
define( 'CHILD_THEME_VERSION', '2.0.2' );

//* Enqueue scripts and styles
add_action( 'wp_enqueue_scripts', 'aquarius_pro_enqueue_scripts_styles' );
function aquarius_pro_enqueue_scripts_styles() {

	wp_enqueue_style( 'dashicons' );

	wp_enqueue_script( 'aquarius-pro-responsive-menu', get_bloginfo( 'stylesheet_directory' ) . '/js/responsive-menu.js', array( 'jquery' ), '1.0.0' );

}

//* Enqueue Open Sans Google font
add_action( 'wp_enqueue_scripts', 'aquarius_pro_google_fonts' );
function aquarius_pro_google_fonts() {
	wp_enqueue_style( 'google-font-open-sans', '//fonts.googleapis.com/css?family=Open+Sans:400,600,300,300italic,400italic,600italic,700,700italic,800,800italic', array(), CHILD_THEME_VERSION );
}

//* Remove Genesis child theme style sheet
remove_action( 'genesis_meta', 'genesis_load_stylesheet' );
 
//* Enqueue Genesis child theme style sheet at higher priority
add_action( 'wp_enqueue_scripts', 'genesis_enqueue_main_stylesheet', 15 );

//* Add HTML5 markup structure
add_theme_support( 'html5' );

//* Add viewport meta tag for mobile browsers
add_theme_support( 'genesis-responsive-viewport' );

//* Add support for custom background
add_theme_support( 'custom-background' );

//* Add support for 3-column footer widgets
add_theme_support( 'genesis-footer-widgets', 3 );

//* Remove the site description
remove_action( 'genesis_site_description', 'genesis_seo_site_description' );

//* Enable shortcodes in widgets
add_filter('widget_text', 'do_shortcode');

//* Add Genesis Connect for WooCommerce Support
add_theme_support( 'genesis-connect-woocommerce' );

//* Register Front Page Widget 1
genesis_register_sidebar( array(
    'id'    => 'front-page-widget-1',
    'name'    => __( 'Front Page Widget 1', 'genesis' ),
    'description'    => __( 'This is the Front Page Widget 1 area.', 'Genesis' ),
) );

//* Register Front Page Widget 2
genesis_register_sidebar( array(
    'id'    => 'front-page-widget-2',
    'name'    => __( 'Front Page Widget 2', 'genesis' ),
    'description'    => __( 'This is the Front Page Widget 2 area.', 'Genesis' ),
) );

//* Register Front Page Widget 3
genesis_register_sidebar( array(
    'id'    => 'front-page-widget-3',
    'name'    => __( 'Front Page Widget 3', 'genesis' ),
    'description'    => __( 'This is the Front Page Widget 3 area.', 'Genesis' ),
) );

//* Add the Front Page Widget 1
add_action( 'genesis_after_header', 'custom_front_page_widget_1' );
function custom_front_page_widget_1() {
if ( ! is_front_page() )
 return;
   genesis_widget_area( 'front-page-widget-1', array(
	'before' => '<div class="front-page-widget-1 widget-area"><div class="wrap">',
	'after' => '</div></div>',
   ) );
}

//* Add the Front Page Widget 2
add_action( 'genesis_after_header', 'custom_front_page_widget_2' );
function custom_front_page_widget_2() {
if ( ! is_front_page() )
 return;
   genesis_widget_area( 'front-page-widget-2', array(
	'before' => '<div class="front-page-widget-2 widget-area"><div class="wrap">',
	'after' => '</div></div>',
   ) );
}

//* Add the Front Page Widget 3
add_action( 'genesis_after_header', 'custom_front_page_widget_3' );
function custom_front_page_widget_3() {
if ( ! is_front_page() )
 return;
   genesis_widget_area( 'front-page-widget-3', array(
	'before' => '<div class="front-page-widget-3 widget-area"><div class="wrap">',
	'after' => '</div></div>',
   ) );
}

//* Add the awesome support.
add_action( 'wp_enqueue_scripts', 'genesis_add_the_awesome' );
function genesis_add_the_awesome() {

//* Register the awesomeness.
wp_register_style( 'font-awesome', '//netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css', null, '4.2.0' );
do_action( 'genesis_add_the_awesome' );
}

//* Load the awesomeness.
add_action( 'genesis_add_the_awesome' , 'genesis_load_the_awesome' );
function genesis_load_the_awesome() {
wp_enqueue_style( 'font-awesome' );
}

//* Unregister the header right widget area
unregister_sidebar( 'header-right' );

//* Reposition the primary navigation menu
remove_action( 'genesis_after_header', 'genesis_do_nav' );
add_action( 'genesis_header', 'genesis_do_nav', 12 );

//* Reposition the secondary navigation menu
remove_action( 'genesis_after_header', 'genesis_do_subnav' );
add_action( 'genesis_footer', 'genesis_do_subnav', 12 );

//* Remove output of primary navigation right extras
remove_filter( 'genesis_nav_items', 'genesis_nav_right', 10, 2 );
remove_filter( 'wp_nav_menu_items', 'genesis_nav_right', 10, 2 );